### Signal

# Soup WebsocketConnection::message

since: 3.0

#### Declaration

    void
    message (
      SoupWebsocketConnection* self,
      gint type,
      GBytes* message,
      gpointer user_data
    )

#### Description [src]

Emitted when we receive a message from the peer.

As a convenience, the `message` data will always be `NULL`-terminated, but the NUL byte will not be included in the length count.

Default handler: The default handler is called before the handlers added via `g_signal_connect()`.
Available since: 3.0

#### Parameters

`type`

  Type: `gint`

  The type of message contents.

`message`

  Type: `GBytes`

  The message data.

  The data is owned by the caller of the function.